#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# InteractionData Class

Defined in: `src/pixi/InteractionData.js:5`
Module: PIXI

Holds all information related to an Interaction event

## Constructor

### `InteractionData`

()

Defined in `src/pixi/InteractionData.js:5`

- Index
- Methods
- Properties

## Item Index

### Methods

- getLocalPosition

### Properties

- global
- originalEvent
- target

## Methods

### `getLocalPosition`

(

- `displayObject`

)
Point

Defined in `src/pixi/InteractionData.js:39`

This will return the local coordinates of the specified displayObject for this InteractionData

#### Parameters:

- `displayObject` DisplayObject

  The DisplayObject that you would like the local coords off

#### Returns:

Point:

A point containing the coordinates of the InteractionData position relative to the DisplayObject

## Properties

### `global`

Point

Defined in `src/pixi/InteractionData.js:13`

This point stores the global coords of where the touch/mouse event happened

### `originalEvent`

Event

Defined in `src/pixi/InteractionData.js:30`

When passed to an event handler, this will be the original DOM Event that was captured

### `target`

Sprite

Defined in `src/pixi/InteractionData.js:22`

The target Sprite that was interacted with